<?php

add_theme_support('automatic-feed-links');
if ( ! isset( $content_width ) ) $content_width = 514;


function gen_meta_desc() {
  global $post;
  if (!is_single()) {
    return;
  }
  $meta = strip_tags($post->post_content);
  $meta = str_replace(array("\n", "\r", "\t"), ' ', $meta);
  $meta = substr($meta, 0, 125);
  echo "<meta name='description' content='$meta' />";
}
add_action('wp_head', 'gen_meta_desc');

if ( function_exists('register_sidebar') )
  register_sidebar(array(
  'before_widget' => '<li class="widget widget_text">',
  'after_widget' => '</li>',
  'before_title' => '<h3>',
  'after_title' => '</h3>',
  ));

function mytheme_comment($comment, $args, $depth) {
  $GLOBALS['comment'] = $comment; ?>
  <div <?php comment_class(); ?> id="comment-<?php comment_ID() ?>">
    <?php printf(__('<span class="comment_author">%s</span> '), get_comment_author_link()) ?>
    <span class="comment_time"><a href="<?php echo htmlspecialchars(get_comment_link( $comment->comment_ID )) ?>">
      <?php printf(__('%1$s at %2$s'), get_comment_date(),get_comment_time()) ?></a><?php edit_comment_link(__('(Edit)'),'  ','') ?>
    </span>
    <?php if ($comment->comment_approved == '0') : ?>
    <em><?php _e('Your comment is awaiting moderation.') ?></em>
    <br />
    <?php endif; ?>
  </div>
  <div <?php comment_class(); ?>>
    <div class="format_text" id="comment-body-<?php comment_ID() ?>">
      <?php comment_text() ?>
    </div>
<?php
// no last ending div, it's added by wordpress itself
}

function nabpagetitle() {
	bloginfo('name'); 
	if (is_home () ) {
		echo ' - '; bloginfo('description');
	} elseif (is_category() ) {
		echo ' - '; single_cat_title();
	} elseif (is_single() || is_page() ) { 
		echo ' - '; single_post_title();
	} elseif (is_search() ) { 
		echo __(' search results: ','easel'); echo esc_html($s);
	} else { 
		echo ' - '; wp_title('',true);
	}
}

function nabtopsearch() { ?>
    <li class="rss menugsearch">
      <div style="width:175px;float:right">
        <form method="get" class="search_form" action="<?php home_url(); ?>/">
          <input class="text_input" type="text" value="To search, type and hit enter" name="s" id="s" onfocus="if (this.value == 'To search, type and hit enter') {this.value = '';}" onblur="if (this.value == '') {this.value = 'To search, type and hit enter';}" />
          <input type="hidden" id="searchsubmit" value="Search" />
        </form>
      </div>
    </li>
<?php
}
?>