<?php get_header(); ?>
<div id="content_area" class="outer_div">
  <div class="page">
    <div id="content_box">
      <div id="content" class="hfeed">
        <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
          <div class="post <?php post_class(); ?>">
            <div class="headline_area">
              <h2 class="entry-title"><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h2>
              <p class="headline_meta">by <span class="author vcard fn">Nabeel</span> on <abbr class="published" title="<?php the_time('F j, Y'); ?>"><?php the_time('F j, Y'); ?> <?php edit_post_link(); ?></abbr></p>
            </div>
            <div class="format_text entry-content">
              <?php the_content(__('Read more'));?>
              <div style="clear:both;"></div>
              <?php wp_link_pages(); ?>
              <p><?php the_tags(); ?></p>
            </div>
            <div id="comments">
              <?php comments_template(''); ?>
            </div>
          </div>
        <?php endwhile; else: ?>
          <p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
        <?php endif; ?>
      </div>
      <?php get_sidebar(); ?>
    </div>
  </div>
</div>
<?php get_footer(); ?>